Bug 2305 - winbind crashes with Signal 11 after a "Connection reset by peer"
winbind crashes with Signal 11 after a "Connection reset by peer"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.9
x86 Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 06:14 UTC by Birger Wathne
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Birger Wathne 2005-02-04 06:14:43 UTC
This happens every few days...

[2005/01/12 14:14:33, 10] libsmb/smb_signing.c:simple_packet_signature(267)
  simple_packet_signature: sequence number 28
[2005/01/12 14:14:33, 10] libsmb/smb_signing.c:client_sign_outgoing_message(334)
 client_sign_outgoing_message: sent SMB signature of
[2005/01/12 14:14:33, 10] lib/util.c:dump_data(1899)
  [000] 50 66 3F 11 74 17 70 05                           Pf?.t.p.
[2005/01/12 14:14:33, 10] libsmb/smb_signing.c:store_sequence_for_reply(74)
  store_sequence_for_reply: stored seq = 29 mid = 16
[2005/01/12 14:14:33, 6] lib/util_sock.c:write_socket(449)
  write_socket(16,438)
[2005/01/12 14:14:33, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Connection reset by peer
[2005/01/12 14:14:33, 6] lib/util_sock.c:write_socket(452)
  write_socket(16,438) wrote -1
[2005/01/12 14:14:33, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 438 bytes to socket 16: ERRNO = Connection reset
by peer
[2005/01/12 14:14:33, 0] libsmb/clientgen.c:cli_send_smb(155)
  Error writing 438 bytes to client. -1 (Connection reset by peer)
[2005/01/12 14:14:33, 10] libsmb/smb_signing.c:cli_signing_trans_stop(550)
[2005/01/12 14:14:33, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/01/12 14:14:33, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 3947 (3.0.9)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/01/12 14:14:33, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/01/12 14:14:33, 0] lib/util.c:smb_panic2(1403)
  PANIC: internal error
[2005/01/12 14:14:33, 0] lib/util.c:smb_panic2(1411)
  BACKTRACE: 15 stack frames:
   #0 winbindd(smb_panic2+0x111) [0x80cd361]
   #1 winbindd(smb_panic+0x1a) [0x80cd24a]
   #2 winbindd [0x80bad78]
   #3 /lib/tls/libc.so.6 [0x420277b8]
   #4 winbindd(cli_receive_trans+0xcb) [0x80f563b]
   #5 winbindd [0x8120060]
   #6 winbindd(rpc_api_pipe_req+0x33c) [0x812199c]
   #7 winbindd(cli_netlogon_sam_network_logon+0x1da) [0x811cd9a]
   #8 winbindd(winbindd_pam_auth_crap+0x69b) [0x807cbdb]
   #9 winbindd [0x806ee1f]
   #10 winbindd(winbind_process_packet+0x21) [0x806f111]
   #11 winbindd [0x806fa0f]
   #12 winbindd(main+0x430) [0x8070030]
   #13 /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x42015704]
   #14 winbindd [0x806e5e1]
Comment 1 Gerald (Jerry) Carter 2005-02-04 06:52:34 UTC
please test 3.0.11 once it is released and reopen if the 
bug still exists.  There have been a lot of winbindd fixes 
since 3.0.9.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.